Leap0

Show revision contents

Show the contents of a specific revision, such as a commit, branch, or tag.

POST
/v1/sandbox/{sandboxID}/git/show

Show the contents of a specific revision, such as a commit, branch, or tag.

Authorization

BearerAuth
AuthorizationBearer <token>

API key passed as a Bearer token in the Authorization header. Alternatively, use the leap0-authorization header.

In: header

Path Parameters

sandboxID*string

Unique sandbox identifier.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

path*string

Path to the git repository.

revision*string

Revision to show, such as a commit SHA, branch, or tag.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.leap0.dev/v1/sandbox/string/git/show" \  -H "Content-Type: application/json" \  -d '{    "path": "string",    "revision": "string"  }'
{  "output": "string",  "exit_code": 0}
{  "message": "string",  "errors": [    {      "field": "string",      "error": "string"    }  ]}
{  "message": "string"}